Cyberduck Mountain Duck CLI

#71 closed defect (fixed)

Crash in dnssd

Reported by: mike@… Owned by: dkocher
Priority: normal Milestone:
Component: core Version: 2.5.3
Severity: blocker Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Just updated to 2.5.3. Running MacOS 10.4.3. Running java version "1.5.0_06" Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-93) Java HotSpot(TM) Client VM (build 1.5.0_06-55, mixed mode, sharing). Did not restart machine after Cyberduck upgrade. The app crashes on startup, crash dump at ~/Library/Logs/Java follows:

=====================================

Local Time = Tue Jan  3 09:27:59 2006

# This JavaNativeCrash log describes the Java state at a Native Crash in a Java application.
# The corresponding native state can be found in the crash log generated by CrashReporter.

# If this error is reproducible, please report it with the following information: 
#   1. Provide the steps to reproduce, a test case, and any relevant information
#   2. This JavaNativeCrash_pid<num>.crash.log (Java state)
#   3. The corresponding <name>.crash.log (native state; generated by CrashReporter)
# File report at: http://bugreport.apple.com/

# An unexpected Java error has been detected by HotSpot Virtual Machine:
#
# Java VM: Java HotSpot(TM) Client VM (1.5.0_06-55 mixed mode)
#
#  Bus Error (0xa) at pc=0x9c7005b8, pid=763, tid=25206784

---------------  T H R E A D  ---------------

Current thread (0x005012c0):  JavaThread "main" [_thread_in_vm, id=-1610551960]

Stack: [0xbf800000,0xc0000000)
Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j  com.apple.dnssd.AppleBrowser.CreateBrowser(IILjava/lang/String;Ljava/lang/String;)I+0
j  com.apple.dnssd.AppleBrowser.<init>(IILjava/lang/String;Ljava/lang/String;Lcom/apple/dnssd/BrowseListener;)V+17
j  com.apple.dnssd.AppleDNSSD._makeBrowser(IILjava/lang/String;Ljava/lang/String;Lcom/apple/dnssd/BrowseListener;)Lcom/apple/dnssd/DNSSDService;+11
j  com.apple.dnssd.DNSSD.browse(IILjava/lang/String;Ljava/lang/String;Lcom/apple/dnssd/BrowseListener;)Lcom/apple/dnssd/DNSSDService;+9
j  com.apple.dnssd.DNSSD.browse(Ljava/lang/String;Lcom/apple/dnssd/BrowseListener;)Lcom/apple/dnssd/DNSSDService;+6
j  ch.cyberduck.core.Rendezvous.init()V+56
j  ch.cyberduck.ui.cocoa.CDMainController.applicationDidFinishLaunching(Lcom/apple/cocoa/foundation/NSNotification;)V+230
v  ~StubRoutines::call_stub

---------------  P R O C E S S  ---------------

Java Threads: ( => current thread )
  0x00514430 JavaThread "Thread-1" [_thread_in_native, id=25967104]
  0x00513c20 JavaThread "Update" [_thread_in_native, id=25882624]
  0x0050ca70 JavaThread "Thread-0" daemon [_thread_in_native, id=25684992]
  0x0050a160 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=25321984]
  0x00509820 JavaThread "CompilerThread0" daemon [_thread_blocked, id=25320960]
  0x00509440 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=25317376]
  0x00508b00 JavaThread "Finalizer" daemon [_thread_blocked, id=25316352]
  0x00508720 JavaThread "Reference Handler" daemon [_thread_blocked, id=25256448]
=>0x005012c0 JavaThread "main" [_thread_in_vm, id=-1610551960]

Other Threads:
  0x00507f30 VMThread [id=25271808]
  0x0050ad10 WatcherThread [id=25323008]

VM state:not at safepoint (normal execution)

VM Mutex/Monitor currently owned by a thread: None

Heap
 def new generation   total 576K, used 216K [0x06d80000, 0x06e20000, 0x07480000)
  eden space 512K,  40% used [0x06d80000, 0x06db3658, 0x06e00000)
  from space 64K,  17% used [0x06e10000, 0x06e12c30, 0x06e20000)
  to   space 64K,   0% used [0x06e00000, 0x06e00000, 0x06e10000)
 tenured generation   total 1408K, used 477K [0x07480000, 0x075e0000, 0x0ad80000)
   the space 1408K,  33% used [0x07480000, 0x074f7408, 0x074f7600, 0x075e0000)
 compacting perm gen  total 8192K, used 6704K [0x0ad80000, 0x0b580000, 0x0ed80000)
   the space 8192K,  81% used [0x0ad80000, 0x0b40c228, 0x0b40c400, 0x0b580000)
No shared spaces configured.

Dynamic libraries and executable:
[0x00007900-0x0000c570] /Applications/Cyberduck/Cyberduck.app/Contents/MacOS/Cyberduck
[0x9367ae74-0x9367af44] /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
[0x9109d990-0x911c97b8] /System/Library/Frameworks/Security.framework/Versions/A/Security
[0x9073aeec-0x907eaafc] /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
[0x92ea0e68-0x92ea0f38] /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
[0x9108c954-0x91096ad0] /usr/lib/libz.1.dylib
[0x913b9700-0x913d200c] /usr/lib/libmx.A.dylib
[0x90000f60-0x9018e348] /usr/lib/libSystem.B.dylib
[0x9367deb0-0x93bbbeac] /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
[0x9403be60-0x940976f0] /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
[0x928b9dcc-0x92a517f4] /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
[0x914a7e4c-0x914a7f1c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
[0x9317f53c-0x93449e5c] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
[0x92ecefa0-0x92edaf44] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
[0x940e3f28-0x9417920c] /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
[0x942015dc-0x94201f90] /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
[0x927ec854-0x9285370c] /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
[0x90a69220-0x90ac47cc] /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
[0x90aed740-0x90afc5b4] /usr/lib/libauto.dylib
[0x94204a70-0x9430a1e8] /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
[0x92c01610-0x92cbea58] /usr/lib/libxml2.2.dylib
[0x9085f680-0x9094f508] /usr/lib/libicucore.A.dylib
[0x914aa058-0x914da114] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
[0x9029244c-0x9032f154] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
[0x914fdad4-0x9155c3ec] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
[0x9037238c-0x906560f0] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
[0x902124e8-0x90257ae4] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
[0x9085ce74-0x9085cf44] /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
[0x9161eeb4-0x9168bd34] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
[0x916f8f24-0x91795e24] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
[0x917f41b0-0x91843930] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
[0x91880888-0x9189d56c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
[0x918b86d8-0x918d6690] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
[0x918f03a0-0x91928dc8] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
[0x9194e080-0x9195d1cc] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
[0x91970b94-0x9199ecb4] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
[0x913726a0-0x91394158] /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
[0x909bafc0-0x909cde18] /usr/lib/libobjc.A.dylib
[0x9020b560-0x9020d5d4] /usr/lib/system/libmathCommon.A.dylib
[0x90b07100-0x90be6984] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
[0x90e44a18-0x90ea3a2c] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
[0x90f0e52c-0x90f489d8] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
[0x90f64030-0x90f77d5c] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
[0x90f8c11c-0x90fef094] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
[0x910528a8-0x91072460] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
[0x91362dc8-0x9136aa48] /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
[0x913acb94-0x913b42c0] /usr/lib/libgcc_s.1.dylib
[0x913df858-0x913e727c] /usr/lib/libbsm.dylib
[0x919be2cc-0x91a62524] /usr/lib/libcrypto.0.9.7.dylib
[0x91ad3b48-0x91ae5884] /usr/lib/libcups.2.dylib
[0x91aedaa8-0x91b072e0] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
[0x91b0f6cc-0x91b68584] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
[0x91b945bc-0x91b98ac8] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
[0x91b9b2dc-0x91bc99ec] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
[0x91bd027c-0x91bf53a8] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
[0x91c195f4-0x91c2ff98] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
[0x91c38384-0x91c3ab44] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
[0x91c3cedc-0x91c3cfac] /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
[0x91c3efc0-0x91d21c78] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
[0x91d314e0-0x91d315b4] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
[0x91dbc4e0-0x91e1d4d4] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
[0x91e2b1d0-0x91ea5cd8] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
[0x91ed74c0-0x92461960] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
[0x924af080-0x927b9d68] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
[0x9313a244-0x93150fb8] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
[0x913ec3c0-0x9144a7dc] /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
[0x92cff680-0x92d13aa0] /usr/lib/libiconv.2.dylib
[0x943c5888-0x943fcc80] /usr/lib/libsqlite3.0.dylib
[0x935dcf6c-0x935e6db0] /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
[0x9440ac68-0x9442e9dc] /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
[0x92e28db8-0x92e77ed4] /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
[0x92dff9e4-0x92e1df4c] /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
[0x92ea3914-0x92eb1664] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
[0x92eeb15c-0x92efa20c] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
[0x92f12364-0x92f85470] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
[0x92facfc0-0x92fb58e0] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
[0x92fc1b90-0x92fe2508] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
[0x93008c48-0x93014674] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
[0x9302591c-0x93079a94] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
[0x930bc40c-0x93100430] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
[0x931693d0-0x93172de8] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
[0x9361bc8c-0x9361e4bc] /System/Library/Frameworks/JavaVM.framework/JavaVM
[0x94fe7b9c-0x94ff8128] /System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Versions/A/JavaApplicationLauncher
[0x94684010-0x94897d30] /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
[0x9c682bb0-0x9c960ddc] /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjvm.dylib
[0x9ca37800-0x9ca3d94c] /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libverify.dylib
[0x9ca110f4-0x9ca28120] /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjava.jnilib
[0x9cb681ec-0x9cb72214] /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libzip.jnilib
[0x970ab33c-0x970bf984] /usr/lib/java/libObjCJava.A.dylib
[0xc0000c00-0xc000c868] /Library/Frameworks/ApplicationEnhancer.framework/Versions/A/ApplicationEnhancer
[0x0eec2078-0x0eed5084] /Library/Application Enhancers/ShapeShifter.ape/Contents/MacOS/ShapeShifter
[0x981ffbf8-0x982d2710] /usr/lib/java/libAppKitJava.B.dylib
[0x972f3240-0x9733280c] /usr/lib/java/libFoundationJava.B.dylib
[0x0ef81a5c-0x0ef865dc] /Users/mike/Library/InputManagers/Smart Crash Reports/Smart Crash Reports.bundle/Contents/MacOS/Smart Crash Reports
[0x02b01d60-0x02b01e98] /Users/mike/Library/InputManagers/Inquisitor/Inquisitor.bundle/Contents/MacOS/Inquisitor
[0x94613958-0x9461e700] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
[0x945fcb4c-0x9460929c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
[0x94665444-0x9467a220] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
[0x11ce7328-0x11ce83d8] /Applications/Cyberduck/Cyberduck.app/Contents/Resources/Java/libODBEdit.dylib
[0x11e4d320-0x11e4dbb0] /Applications/Cyberduck/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib
[0x11e59c90-0x11e5f4f4] /Applications/Cyberduck/Cyberduck.app/Contents/MacOS/../Frameworks/Growl.framework/Versions/A/Growl
[0x11ee8734-0x11eea98c] /Applications/Cyberduck/Cyberduck.app/Contents/Resources/Java/libDNSSD.dylib
[0x9738edac-0x97390a24] /usr/lib/java/libjdns_sd.jnilib

VM Arguments:
java_command: <unknown>
Launcher Type: generic

Environment Variables:
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/libexec:/System/Library/CoreServices

Signal Handlers:
Segmentation Violation (11): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000040
Bus Error (10): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000040
Arithmetic Exception (8): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000002
Unknown Signal (13): SIG_IGN, sa_mask[0]=0x00000000, sa_flags=0x00000002
Illegal Instruction (4): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000040
Unknown Signal (30): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000002
Unknown Signal (31): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000002
Unknown Signal (1): [libjvm.dylib+0x285cb0], sa_mask[0]=0xfffefeff, sa_flags=0x00000002
Unknown Signal (2): [libjvm.dylib+0x285cb0], sa_mask[0]=0xfffefeff, sa_flags=0x00000002
Unknown Signal (3): [libjvm.dylib+0x285cb0], sa_mask[0]=0xfffefeff, sa_flags=0x00000002
Unknown Signal (15): [libjvm.dylib+0x285cb0], sa_mask[0]=0xfffefeff, sa_flags=0x00000002


---------------  S Y S T E M  ---------------

OS:Mac OS X

CPU:total 2 Processor type = PPC 970 [Enabled Vector Unit] [64 bit instructions Enabled]

Memory: 4k page, physical 1048576k

vm_info: Java HotSpot(TM) Client VM (1.5.0_06-55) for macosx-ppc, built on Dec 20 2005 20:46:57 by root with gcc 3.3 20030304 (build 1809)


Change History (14)

comment:1 Changed on Jan 10, 2006 at 10:14:19 PM by dkocher

Anyone else who can reproduce this, please attach a comment to this ticket. (And also send in the crash report)

comment:2 Changed on Jan 12, 2006 at 9:22:39 AM by pdelges@…

I couldn't launch Cyberduck on my biG5 neither. I tried under X.4.3 and today under X.4.4 I tried to restart. I removed preferences...

Java version:

G5bi:~ pdelges$ java -version java version "1.4.2_09" Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_09-232) Java HotSpot(TM) Client VM (build 1.4.2-54, mixed mode) G5bi:~ pdelges$

Java crash log:

# This JavaNativeCrash log describes the Java state at a Native Crash in a Java application. # The corresponding native state can be found in the crash log generated by CrashReporter.

# If this error is reproducible, please report it with the following information: # 1. Provide the steps to reproduce, a test case, and any relevant information # 2. This JavaNativeCrash_pid<num>.crash.log (Java state) # 3. The corresponding <name>.crash.log (native state; generated by CrashReporter) # File report at: http://bugreport.apple.com/

Unexpected Signal : Bus Error occurred at PC=0x960A8DA0 Function=[Unknown.] Library=/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libjvm.dylib

NOTE: We are unable to locate the function name symbol for the error

just occurred. Please refer to release documentation for possible reason and solutions.

Current Java thread:

at com.apple.dnssd.AppleBrowser.CreateBrowser(Native Method) at com.apple.dnssd.AppleBrowser.<init>(DNSSD.java:716) at com.apple.dnssd.AppleDNSSD._makeBrowser(DNSSD.java:577) at com.apple.dnssd.DNSSD.browse(DNSSD.java:158) at com.apple.dnssd.DNSSD.browse(DNSSD.java:176) at ch.cyberduck.core.Rendezvous.init(Rendezvous.java:81) at ch.cyberduck.ui.cocoa.CDMainController.applicationDidFinishLaunching(CDMainController.java:640)

Dynamic libraries and executable: [0x00007900-0x0000c570] /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/MacOS/Cyberduck [0x93681e74-0x93681f44] /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa [0x910a0610-0x911cc778] /System/Library/Frameworks/Security.framework/Versions/A/Security [0x9073aeec-0x907eaafc] /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation [0x92ea8e68-0x92ea8f38] /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon [0x9108e954-0x91098ad0] /usr/lib/libz.1.dylib [0x913bc700-0x913d500c] /usr/lib/libmx.A.dylib [0x90000f60-0x9018e348] /usr/lib/libSystem.B.dylib [0x936846b0-0x93bc2e94] /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit [0x94044760-0x940a05f0] /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData [0x928c1dcc-0x92a597f4] /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation [0x914ade4c-0x914adf1c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices [0x9318753c-0x93451e5c] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox [0x92ed6fa0-0x92ee2f44] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition [0x940ecf28-0x9418220c] /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox [0x9420a5dc-0x9420af90] /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit [0x927f4854-0x9285b70c] /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv [0x90a69220-0x90ac47cc] /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit [0x90aed740-0x90afc5b4] /usr/lib/libauto.dylib [0x9420d9d0-0x943131cc] /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore [0x92c09610-0x92cc6a58] /usr/lib/libxml2.2.dylib [0x9085f680-0x9094f508] /usr/lib/libicucore.A.dylib [0x914b0058-0x914e0114] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE [0x9029244c-0x9032f154] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS [0x915036f4-0x915623ac] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync [0x90371e0c-0x90656094] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics [0x902124e8-0x90257ae4] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText [0x9085ce74-0x9085cf44] /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices [0x91624eb4-0x91691d34] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore [0x916fef24-0x9179be24] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD [0x917fa1b0-0x91849930] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices [0x91886888-0x918a356c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis [0x918be6d8-0x918dc690] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent [0x918f5f80-0x9192edb8] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices [0x91954080-0x919631cc] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis [0x919762d0-0x919a594c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO [0x913756a0-0x91397158] /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration [0x909bafc0-0x909cde18] /usr/lib/libobjc.A.dylib [0x9020b560-0x9020d5d4] /usr/lib/system/libmathCommon.A.dylib [0x90b078e0-0x90be798c] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore [0x90e45a18-0x90ea4a2c] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices [0x90f0f50c-0x90f499ec] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork [0x90f65030-0x90f78d5c] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore [0x90f8d11c-0x90ff00bc] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit [0x910538a8-0x91073470] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata [0x91365dc8-0x9136da48] /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration [0x913afb94-0x913b72c0] /usr/lib/libgcc_s.1.dylib [0x913e2858-0x913ea27c] /usr/lib/libbsm.dylib [0x919c52cc-0x91a69524] /usr/lib/libcrypto.0.9.7.dylib [0x91adab48-0x91aec884] /usr/lib/libcups.2.dylib [0x91af54c8-0x91b0f2d4] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib [0x91b176cc-0x91b70584] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib [0x91b9c5bc-0x91ba0ac8] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib [0x91ba31dc-0x91bd1998] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib [0x91bd81fc-0x91bfd39c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib [0x91c215f4-0x91c37f98] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib [0x91c40384-0x91c42b44] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib [0x91c44edc-0x91c44fac] /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate [0x91c46fc0-0x91d29c78] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage [0x91d394e0-0x91d395b4] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib [0x91dc44e0-0x91e254d4] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib [0x91e331d0-0x91eadcd8] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib [0x91edf4c0-0x92469960] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib [0x924b7080-0x927c1d68] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib [0x93142244-0x93158fb8] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound [0x913ef420-0x9144f1c4] /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio [0x92d07680-0x92d1baa0] /usr/lib/libiconv.2.dylib [0x943ce888-0x94405c80] /usr/lib/libsqlite3.0.dylib [0x935e4f2c-0x935eedc0] /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL [0x94413c68-0x944379dc] /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib [0x92e30db8-0x92e7fed4] /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib [0x92e079e4-0x92e25f4c] /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib [0x92eab914-0x92eb9664] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture [0x92ef315c-0x92f0220c] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI [0x92f1a364-0x92f8d470] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink [0x92fb4fc0-0x92fbd8e0] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help [0x92fc9b90-0x92fea500] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting [0x93010c48-0x9301c674] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print [0x9302d91c-0x93081a94] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering [0x930c440c-0x93108430] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices [0x931713d0-0x9317ade8] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels [0x93623dec-0x93626558] /System/Library/Frameworks/JavaVM.framework/JavaVM [0x94db3b9c-0x94dc4128] /System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Versions/A/JavaApplicationLauncher [0x8fa79d60-0x8fc8e920] /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime [0x9468dab4-0x946f7144] /usr/lib/libstdc++.6.dylib [0x96041990-0x96253a88] /System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libjvm.dylib [0x98860b1c-0x988691e0] /System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libverify.dylib [0x9883c4f0-0x98852778] /System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libjava.jnilib [0x9a11d728-0x9a127298] /System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libzip.jnilib [0x96ce933c-0x96cfd984] /usr/lib/java/libObjCJava.A.dylib [0x97e54bf8-0x97f27710] /usr/lib/java/libAppKitJava.B.dylib [0x96f31240-0x96f7080c] /usr/lib/java/libFoundationJava.B.dylib [0x01657a5c-0x0165c5dc] /Users/pdelges/Library/InputManagers/Smart Crash Reports/Smart Crash Reports.bundle/Contents/MacOS/Smart Crash Reports [0x9461c958-0x94627700] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib [0x94605b4c-0x9461229c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib [0x9466f444-0x94684220] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib [0x19194328-0x191953d8] /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/Resources/Java/libODBEdit.dylib [0x192f3320-0x192f3bb0] /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib [0xc0000c90-0xc00064f4] /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/MacOS/../Frameworks/Growl.framework/Versions/A/Growl [0x1950f734-0x1951198c] /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/Resources/Java/libDNSSD.dylib [0x96fcdcec-0x96fcf97c] /usr/lib/java/libjdns_sd.jnilib

Local Time = Thu Jan 12 10:07:20 2006 Elapsed Time = 14016 # # HotSpot Virtual Machine Error : Bus Error # Error ID : /SourceCache/HotSpot14/HotSpot14-54/src/share/vm/runtime/os.cpp, 794 # # If this error is reproducible, please report it with the following information: # 1. Provide the steps to reproduce, a test case, and any relevant information # 2. The corresponding JavaNativeCrash_pid<num>.crash.log (Java state) # 3. The corresponding <name>.crash.log (native state; generated by CrashReporter) # File report at: http://bugreport.apple.com/ # # Java VM: Java HotSpot(TM) Client VM (1.4.2-54 mixed mode) #

Crash log:

Date/Time: 2006-01-12 10:07:20.184 +0100 OS Version: 10.4.4 (Build 8G32) Report Version: 3

Command: Cyberduck Path: /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/MacOS/Cyberduck Parent: WindowServer [61]

Version: Version 2.5.3 (r1814)

PID: 231 Thread: 0

Exception: EXC_BAD_ACCESS (0x0001) Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x00000005

Thread 0 Crashed: 0 libjvm.dylib 0x960a8da0 JVM_FindPrimitiveClass + 1124 1 libjdns_sd.jnilib 0x96fce538 Java_com_apple_dnssd_AppleBrowser_CreateBrowser + 152 2 <<00000000>> 0x047385c0 0 + 74679744 3 <<00000000>> 0x04731ed0 0 + 74653392 4 <<00000000>> 0x04731f90 0 + 74653584 5 <<00000000>> 0x04731ea0 0 + 74653344 6 <<00000000>> 0x04731ea0 0 + 74653344 7 <<00000000>> 0x04731ea0 0 + 74653344 8 <<00000000>> 0x04731f90 0 + 74653584 9 <<00000000>> 0x0472f16c 0 + 74641772 10 libjvm.dylib 0x9609b6fc jio_snprintf + 295316 11 libjvm.dylib 0x9609b5a4 jio_snprintf + 294972 12 libjvm.dylib 0x960aa2c4 JVM_FindPrimitiveClass + 6536 13 libjvm.dylib 0x9613cb7c JVM_GetSockOpt + 2320 14 libObjCJava.A.dylib 0x96cefae4 JAVAMethodInvoke + 164 15 libObjCJava.A.dylib 0x96cefd3c JAVAMethodInvokeVoid + 52 16 libObjCJava.A.dylib 0x96cf5f2c _NSInvokeJavaMethod + 1068 17 libObjCJava.A.dylib 0x96cf22f8 _BRIDGEMethodImp + 152 18 com.apple.Foundation 0x928e6018 _nsnote_callback + 180 19 com.apple.CoreFoundation 0x907844c4 CFXNotificationPost + 368 20 com.apple.CoreFoundation 0x9077c5a0 _CFXNotificationPostNotification + 684 21 com.apple.Foundation 0x928d0420 -[NSNotificationCenter postNotificationName:object:userInfo:] + 92 22 com.apple.AppKit 0x9368d5b8 -[NSApplication _postDidFinishNotification] + 112 23 com.apple.AppKit 0x9368d4a4 -[NSApplication _sendFinishLaunchingNotification] + 92 24 com.apple.AppKit 0x9368cfec -[NSApplication(NSAppleEventHandling) _handleAEOpen:] + 264 25 com.apple.AppKit 0x9368cb94 -[NSApplication(NSAppleEventHandling) _handleCoreEvent:withReplyEvent:] + 92 26 com.apple.Foundation 0x928e7024 -[NSAppleEventManager dispatchRawAppleEvent:withRawReply:handlerRefCon:] + 380 27 com.apple.Foundation 0x928e6e84 _NSAppleEventManagerGenericHandler + 92 28 com.apple.AE 0x914b1960 aeDispatchAppleEvent(AEDesc const*, AEDesc*, unsigned long, unsigned char*) + 208 29 com.apple.AE 0x914b17fc dispatchEventAndSendReply(AEDesc const*, AEDesc*) + 44 30 com.apple.AE 0x914b1654 aeProcessAppleEvent + 284 31 com.apple.HIToolbox 0x93190940 AEProcessAppleEvent + 60 32 com.apple.AppKit 0x9368b2dc _DPSNextEvent + 856 33 com.apple.AppKit 0x9368adc8 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 116 34 com.apple.AppKit 0x9368730c -[NSApplication run] + 472 35 com.apple.AppKit 0x93777e68 NSApplicationMain + 452 36 ch.sudo.cyberduck 0x00007a98 _start + 344 (crt.c:272) 37 ch.sudo.cyberduck 0x0000793c start + 60

Thread 1: 0 libSystem.B.dylib 0x9000b208 mach_msg_trap + 8 1 libSystem.B.dylib 0x9000b15c mach_msg + 60 2 libjvm.dylib 0x96049d2c operator new(unsigned long) + 7580 3 libjvm.dylib 0x96049cc0 operator new(unsigned long) + 7472 4 libjvm.dylib 0x96049c44 operator new(unsigned long) + 7348 5 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 2: 0 libSystem.B.dylib 0x9000b208 mach_msg_trap + 8 1 libSystem.B.dylib 0x9000b15c mach_msg + 60 2 libjvm.dylib 0x9609a578 jio_snprintf + 290832 3 libjvm.dylib 0x9609ab7c jio_snprintf + 292372 4 libjvm.dylib 0x9609a7d0 jio_snprintf + 291432 5 libjvm.dylib 0x9609a324 jio_snprintf + 290236 6 libjvm.dylib 0x96049c44 operator new(unsigned long) + 7348 7 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 3: 0 libSystem.B.dylib 0x9000b208 mach_msg_trap + 8 1 libSystem.B.dylib 0x9000b15c mach_msg + 60 2 libjvm.dylib 0x9609a4bc jio_snprintf + 290644 3 libjvm.dylib 0x960a6f50 JVM_MonitorWait + 1984 4 libjvm.dylib 0x960a6a64 JVM_MonitorWait + 724 5 libjvm.dylib 0x960a6898 JVM_MonitorWait + 264 6 <<00000000>> 0x047385c0 0 + 74679744 7 <<00000000>> 0x04731f90 0 + 74653584 8 <<00000000>> 0x04731f90 0 + 74653584 9 <<00000000>> 0x0472f16c 0 + 74641772 10 libjvm.dylib 0x9609b6fc jio_snprintf + 295316 11 libjvm.dylib 0x9609b5a4 jio_snprintf + 294972 12 libjvm.dylib 0x960a65d8 JVM_StartThread + 2564 13 libjvm.dylib 0x960a64bc JVM_StartThread + 2280 14 libjvm.dylib 0x960a6444 JVM_StartThread + 2160 15 libjvm.dylib 0x960a62d8 JVM_StartThread + 1796 16 libjvm.dylib 0x96049c44 operator new(unsigned long) + 7348 17 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 4: 0 libSystem.B.dylib 0x9000b208 mach_msg_trap + 8 1 libSystem.B.dylib 0x9000b15c mach_msg + 60 2 libjvm.dylib 0x9609a4bc jio_snprintf + 290644 3 libjvm.dylib 0x960a6f50 JVM_MonitorWait + 1984 4 libjvm.dylib 0x960a6a64 JVM_MonitorWait + 724 5 libjvm.dylib 0x960a6898 JVM_MonitorWait + 264 6 <<00000000>> 0x047385c0 0 + 74679744 7 <<00000000>> 0x04731f90 0 + 74653584 8 <<00000000>> 0x04731ea0 0 + 74653344 9 <<00000000>> 0x04731ea0 0 + 74653344 10 <<00000000>> 0x0472f16c 0 + 74641772 11 libjvm.dylib 0x9609b6fc jio_snprintf + 295316 12 libjvm.dylib 0x9609b5a4 jio_snprintf + 294972 13 libjvm.dylib 0x960a65d8 JVM_StartThread + 2564 14 libjvm.dylib 0x960a64bc JVM_StartThread + 2280 15 libjvm.dylib 0x960a6444 JVM_StartThread + 2160 16 libjvm.dylib 0x960a62d8 JVM_StartThread + 1796 17 libjvm.dylib 0x96049c44 operator new(unsigned long) + 7348 18 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 5: 0 libSystem.B.dylib 0x9000b208 mach_msg_trap + 8 1 libSystem.B.dylib 0x9000b15c mach_msg + 60 2 libjvm.dylib 0x9609a578 jio_snprintf + 290832 3 libjvm.dylib 0x960bbba4 JVM_InternString + 3516 4 libjvm.dylib 0x960bb940 JVM_InternString + 2904 5 libjvm.dylib 0x96049c44 operator new(unsigned long) + 7348 6 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 6: 0 libSystem.B.dylib 0x9002b998 semaphore_wait_trap + 8 1 libjvm.dylib 0x960bc2bc JVM_InternString + 5332 2 libjvm.dylib 0x960bc070 JVM_InternString + 4744 3 libjvm.dylib 0x960a62d8 JVM_StartThread + 1796 4 libjvm.dylib 0x96049c44 operator new(unsigned long) + 7348 5 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 7: 0 libSystem.B.dylib 0x9000b208 mach_msg_trap + 8 1 libSystem.B.dylib 0x9000b15c mach_msg + 60 2 libjvm.dylib 0x9609a4bc jio_snprintf + 290644 3 libjvm.dylib 0x9609abdc jio_snprintf + 292468 4 libjvm.dylib 0x960bd3fc JVM_InternString + 9748 5 libjvm.dylib 0x960bd164 JVM_InternString + 9084 6 libjvm.dylib 0x960a62d8 JVM_StartThread + 1796 7 libjvm.dylib 0x96049c44 operator new(unsigned long) + 7348 8 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 8: 0 libSystem.B.dylib 0x9001f20c select + 12 1 libObjCJava.A.dylib 0x96cfd344 thread_func + 560 2 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 9: 0 libSystem.B.dylib 0x9000b208 mach_msg_trap + 8 1 libSystem.B.dylib 0x9000b15c mach_msg + 60 2 com.apple.CoreFoundation 0x9075d114 CFRunLoopRun + 832 3 com.apple.CoreFoundation 0x9075ca18 CFRunLoopRunSpecific + 268 4 com.apple.Foundation 0x9290db9c +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 264 5 com.apple.Foundation 0x928e66d4 forkThreadForFunction + 108 6 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 10: 0 libSystem.B.dylib 0x9001f20c select + 12 1 com.apple.CoreFoundation 0x9076f9a8 CFSocketManager + 472 2 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 11: 0 libSystem.B.dylib 0x9000b208 mach_msg_trap + 8 1 libSystem.B.dylib 0x9000b15c mach_msg + 60 2 com.apple.CoreFoundation 0x9075d114 CFRunLoopRun + 832 3 com.apple.CoreFoundation 0x9075ca18 CFRunLoopRunSpecific + 268 4 com.apple.Foundation 0x9290ecdc +[NSURLCache _diskCacheSyncLoop:] + 152 5 com.apple.Foundation 0x928e66d4 forkThreadForFunction + 108 6 libSystem.B.dylib 0x9002b200 _pthread_body + 96

Thread 0 crashed with PPC Thread State 64:

srr0: 0x00000000960a8da0 srr1: 0x100000000200f030 vrsave: 0x0000000000000000

cr: 0x22002422 xer: 0x0000000000000000 lr: 0x00000000960a8d18 ctr: 0x00000000960a8d00 r0: 0x0000000000000000 r1: 0x00000000bfffd640 r2: 0x0000000000500ad0 r3: 0x0000000000500b44 r4: 0x000000000050a3b8 r5: 0x0000000000000000 r6: 0x0000000000000005 r7: 0x00000000a6048d18 r8: 0x0000000000000000 r9: 0x00000000a6043804 r10: 0x00000000a604b9ec r11: 0x0000000000000001

r12: 0x0000000000000006 r13: 0x0000000000500ad0 r14: 0x0000000000517070 r15: 0x0000000096fce4a0 r16: 0x00000000bfffd7f0 r17: 0x00000000691f6410 r18: 0x00000000bfffd850 r19: 0x00000000bfffd7d8 r20: 0x0000000000000000 r21: 0x0000000000000000 r22: 0x00000000bfffd840 r23: 0x00000000bfffd844 r24: 0x0000000096fcfcec r25: 0x0000000096fcfcdc r26: 0x0000000096fcfcb8 r27: 0x00000000a6043210 r28: 0x000000000050a3b8 r29: 0x0000000000500b44 r30: 0x0000000000500ad0 r31: 0x00000000960a8d18

Binary Images Description:

0x1000 - 0xefff ch.sudo.cyberduck Version 2.5.3 (r1814) /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/MacOS/Cyberduck

0x1656000 - 0x165dfff com.unsanity.smartcrashreports Smart Crash Reports version 1.0.3 (1.0.3b1) /Users/pdelges/Library/InputManagers/Smart Crash Reports/Smart Crash Reports.bundle/Contents/MacOS/Smart Crash Reports

0x19193000 - 0x19195fff libODBEdit.dylib /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/Resources/Java/libODBEdit.dylib 0x192f2000 - 0x192f3fff libGrowl.dylib /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib 0x1950f000 - 0x19511fff libDNSSD.dylib /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/Resources/Java/libDNSSD.dylib 0x8fa79000 - 0x8fd27fff com.apple.QuickTime 7.0.4 /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime 0x8fe00000 - 0x8fe54fff dyld 44.2 /usr/lib/dyld 0x90000000 - 0x901b3fff libSystem.B.dylib /usr/lib/libSystem.B.dylib 0x9020b000 - 0x9020ffff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib 0x90211000 - 0x90264fff com.apple.CoreText 1.0.1 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText 0x90291000 - 0x90342fff ATS /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS 0x90371000 - 0x906aefff com.apple.CoreGraphics 1.256.30 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics 0x9073a000 - 0x90813fff com.apple.CoreFoundation 6.4.4 (368.25) /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation 0x9085c000 - 0x9085cfff com.apple.CoreServices 10.4 (???) /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices 0x9085e000 - 0x90960fff libicucore.A.dylib /usr/lib/libicucore.A.dylib 0x909ba000 - 0x90a3efff libobjc.A.dylib /usr/lib/libobjc.A.dylib 0x90a68000 - 0x90ad6fff com.apple.framework.IOKit 1.4 (???) /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit 0x90aed000 - 0x90afffff libauto.dylib /usr/lib/libauto.dylib 0x90b06000 - 0x90ddefff com.apple.CoreServices.CarbonCore 681.3 (671.2) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore 0x90e44000 - 0x90ec4fff com.apple.CoreServices.OSServices 4.1 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices 0x90f0e000 - 0x90f4ffff com.apple.CFNetwork 10.4.4 (129.9) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork 0x90f64000 - 0x90f7cfff com.apple.WebServices 1.1.2 (1.1.0) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore 0x90f8c000 - 0x9100dfff com.apple.SearchKit 1.0.5 /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit 0x91053000 - 0x9107dfff com.apple.Metadata 10.4.4 (121.34) /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata 0x9108e000 - 0x9109cfff libz.1.dylib /usr/lib/libz.1.dylib 0x9109f000 - 0x91262fff com.apple.security 4.3 (25966) /System/Library/Frameworks/Security.framework/Versions/A/Security 0x91365000 - 0x9136efff com.apple.DiskArbitration 2.1 /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration 0x91375000 - 0x9139cfff com.apple.SystemConfiguration 1.8.2 /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration 0x913af000 - 0x913b7fff libgcc_s.1.dylib /usr/lib/libgcc_s.1.dylib 0x913bc000 - 0x913dcfff libmx.A.dylib /usr/lib/libmx.A.dylib 0x913e2000 - 0x913eafff libbsm.dylib /usr/lib/libbsm.dylib 0x913ee000 - 0x9146efff com.apple.audio.CoreAudio 3.0.2 /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio 0x914ad000 - 0x914adfff com.apple.ApplicationServices 10.4 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices 0x914af000 - 0x914e7fff com.apple.AE 1.5 (297) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE 0x91502000 - 0x915cffff com.apple.ColorSync 4.4.4 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync 0x91624000 - 0x916b7fff com.apple.print.framework.PrintCore 4.3 (172.3) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore 0x916fe000 - 0x917bbfff com.apple.QD 3.8.18 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD 0x917f9000 - 0x91857fff com.apple.HIServices 1.5.1 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices 0x91885000 - 0x918a9fff com.apple.LangAnalysis 1.6.1 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis 0x918bd000 - 0x918e2fff com.apple.FindByContent 1.5 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent 0x918f5000 - 0x91937fff com.apple.LaunchServices 10.4.6 (168.3) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices 0x91953000 - 0x91967fff com.apple.speech.synthesis.framework 3.3 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis 0x91975000 - 0x919affff com.apple.ImageIO.framework 1.4.4 /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO 0x919c4000 - 0x91a8cfff libcrypto.0.9.7.dylib /usr/lib/libcrypto.0.9.7.dylib 0x91ada000 - 0x91aeffff libcups.2.dylib /usr/lib/libcups.2.dylib 0x91af4000 - 0x91b11fff libJPEG.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib 0x91b16000 - 0x91b85fff libJP2.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib 0x91b9c000 - 0x91ba0fff libGIF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib 0x91ba2000 - 0x91bd3fff libRaw.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib 0x91bd7000 - 0x91c1afff libTIFF.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib 0x91c21000 - 0x91c3afff libPng.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib 0x91c3f000 - 0x91c42fff libRadiance.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib 0x91c44000 - 0x91c44fff com.apple.Accelerate 1.1.1 (Accelerate 1.1.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate 0x91c46000 - 0x91d30fff com.apple.vImage 2.0 /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage 0x91d38000 - 0x91d57fff com.apple.Accelerate.vecLib 3.1.1 (vecLib 3.1.1) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib 0x91dc3000 - 0x91e28fff libvMisc.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib 0x91e32000 - 0x91ec4fff libvDSP.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib 0x91ede000 - 0x9246efff libBLAS.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib 0x924b6000 - 0x927c6fff libLAPACK.dylib /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib 0x927f3000 - 0x9287ffff com.apple.DesktopServices 1.3.1 /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv 0x928c1000 - 0x92aebfff com.apple.Foundation 6.4.2 (567.21) /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation 0x92c09000 - 0x92ce7fff libxml2.2.dylib /usr/lib/libxml2.2.dylib 0x92d07000 - 0x92df5fff libiconv.2.dylib /usr/lib/libiconv.2.dylib 0x92e07000 - 0x92e25fff libGL.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib 0x92e30000 - 0x92e8afff libGLU.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib 0x92ea8000 - 0x92ea8fff com.apple.Carbon 10.4 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon 0x92eaa000 - 0x92ebefff com.apple.ImageCapture 3.0 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture 0x92ed6000 - 0x92ee6fff com.apple.speech.recognition.framework 3.4 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition 0x92ef2000 - 0x92f07fff com.apple.securityhi 2.0 (203) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI 0x92f19000 - 0x92fa0fff com.apple.ink.framework 101.2 (69) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink 0x92fb4000 - 0x92fbffff com.apple.help 1.0.3 (32) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help 0x92fc9000 - 0x92ff6fff com.apple.openscripting 1.2.4 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting 0x93010000 - 0x93020fff com.apple.print.framework.Print 5.0 (190.1) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print 0x9302c000 - 0x93092fff com.apple.htmlrendering 1.1.2 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering 0x930c3000 - 0x93115fff com.apple.NavigationServices 3.4.2 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices 0x93141000 - 0x9315efff com.apple.audio.SoundManager 3.9 /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound 0x93170000 - 0x9317dfff com.apple.CommonPanels 1.2.2 (73) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels 0x93186000 - 0x93498fff com.apple.HIToolbox 1.4.5 (???) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox 0x935e4000 - 0x935f0fff com.apple.opengl 1.4.7 /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL 0x93623000 - 0x93627fff com.apple.JavaVM 11.2.0 /System/Library/Frameworks/JavaVM.framework/JavaVM 0x93681000 - 0x93681fff com.apple.Cocoa 6.4 (???) /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa 0x93683000 - 0x93cb6fff com.apple.AppKit 6.4.4 (824.33) /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit 0x94043000 - 0x940b3fff com.apple.CoreData 80 /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData 0x940ec000 - 0x941b6fff com.apple.audio.toolbox.AudioToolbox 1.4.1 /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox 0x9420a000 - 0x9420afff com.apple.audio.units.AudioUnit 1.4 /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit 0x9420c000 - 0x94384fff com.apple.QuartzCore 1.4.5 /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore 0x943ce000 - 0x9440bfff libsqlite3.0.dylib /usr/lib/libsqlite3.0.dylib 0x94413000 - 0x94463fff libGLImage.dylib /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib 0x94605000 - 0x94614fff libCGATS.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib 0x9461c000 - 0x94628fff libCSync.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib 0x9466e000 - 0x94686fff libRIP.A.dylib /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib 0x9468d000 - 0x94710fff libstdc++.6.dylib /usr/lib/libstdc++.6.dylib 0x94db2000 - 0x94dc8fff com.apple.JavaApplicationLauncher 11.2.0 /System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Versions/A/JavaApplicationLauncher 0x96041000 - 0x96288fff libjvm.dylib /System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libjvm.dylib 0x96ce8000 - 0x96d05fff libObjCJava.A.dylib /usr/lib/java/libObjCJava.A.dylib 0x96f30000 - 0x96f7bfff libFoundationJava.B.dylib /usr/lib/java/libFoundationJava.B.dylib 0x96fcd000 - 0x96fcffff libjdns_sd.jnilib /usr/lib/java/libjdns_sd.jnilib 0x97e54000 - 0x97f43fff libAppKitJava.B.dylib /usr/lib/java/libAppKitJava.B.dylib 0x9883b000 - 0x98856fff libjava.jnilib /System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libjava.jnilib 0x98860000 - 0x9886afff libverify.dylib /System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libverify.dylib 0x9a11d000 - 0x9a128fff libzip.jnilib /System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libzip.jnilib 0xc0000000 - 0xc0009fff com.growl.growlframework 0.8 (2971M) /Applications/Cyberduck-2.5.3/Cyberduck.app/Contents/Frameworks/Growl.framework/Versions/A/Growl

Model: PowerMac7,3, BootROM 5.1.8f7, 2 processors, PowerPC G5 (3.0), 2.5 GHz, 1 GB Graphics: NVIDIA GeForce 6800 Ultra DDL, GeForce 6800 Ultra, AGP, 256 MB Memory Module: DIMM0/J11, 512 MB, DDR SDRAM, PC3200U-30330 Memory Module: DIMM1/J12, 512 MB, DDR SDRAM, PC3200U-30330 Network Service: Built-in Ethernet, Ethernet, en0 PCI Card: pci137a,4, sppci_audio, SLOT-3 Serial ATA Device: Maxtor 7Y250M0, 233.76 GB Serial ATA Device: Maxtor 7Y250M0, 233.76 GB Parallel ATA Device: PIONEER DVD-RW DVR-117D, USB Device: Hub, , Up to 480 Mb/sec, 500 mA USB Device: AKAI S5000 Midi Stereo Digital Sampler, AKAI Professional M.I. Corp, Up to 12 Mb/sec, 500 mA USB Device: iLok, iLok, Up to 1.5 Mb/sec, 500 mA USB Device: Apple Cinema HD Display, , Up to 1.5 Mb/sec, 500 mA USB Device: Hub in Apple Pro Keyboard, Mitsumi Electric, Up to 12 Mb/sec, 500 mA USB Device: Apple Optical USB Mouse, Logitech, Up to 1.5 Mb/sec, 100 mA USB Device: Apple Pro Keyboard, Mitsumi Electric, Up to 12 Mb/sec, 250 mA USB Device: FastLane, , Up to 12 Mb/sec, 500 mA FireWire Device: LaCie 1394 Disk drive LUN 0, LaCie Group SA, Up to 400 Mb/sec

comment:3 Changed on Jan 13, 2006 at 10:19:59 AM by dkocher

Filed as radar bug radar://4406465

comment:4 Changed on Jan 17, 2006 at 12:04:39 AM by dkocher

  • Status changed from new to assigned

As a workaround disable Bonjour discovery. Open a Terminal.app window and enter

defaults write ch.sudo.cyberduck bonjour.enable false

comment:5 Changed on Jan 30, 2006 at 2:42:40 PM by dkocher

  • Description modified (diff)

comment:6 Changed on Jan 31, 2006 at 10:27:45 PM by dkocher

  • Summary changed from Won't launch on 10.4.3 dual processor to Crash in dnssd

comment:7 Changed on Feb 11, 2006 at 2:54:17 PM by dkocher

  • Milestone changed from 2.6 to 2.5.5
  • Resolution set to fixed
  • Status changed from assigned to closed

comment:8 Changed on Feb 14, 2006 at 5:11:57 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened
Thread 0 Crashed:
0   libjvm.dylib             	0x9bbaf488 JVM_MonitorWait + 7288
1   libjdns_sd.jnilib        	0x96ff8600 Java_com_apple_dnssd_AppleBrowser_CreateBrowser + 144
2   <<00000000>> 	0x04d7b2c4 0 + 81244868
3   <<00000000>> 	0x04d749f0 0 + 81218032
4   <<00000000>> 	0x04d74ab0 0 + 81218224
5   <<00000000>> 	0x04d749c0 0 + 81217984
6   <<00000000>> 	0x04d749c0 0 + 81217984
7   <<00000000>> 	0x04d749c0 0 + 81217984
8   <<00000000>> 	0x04d74ab0 0 + 81218224
9   <<00000000>> 	0x04d72164 0 + 81207652
10  libjvm.dylib             	0x9bba0438 jio_snprintf + 382324
11  libjvm.dylib             	0x9bba0284 jio_snprintf + 381888
12  libjvm.dylib             	0x9bbb0960 JVM_MonitorWait + 12624
13  libjvm.dylib             	0x9bc6e5cc JVM_IsInterrupted + 2324
14  libObjCJava.A.dylib      	0x96d1aae4 __JAVAMethodInvoke + 164
15  libObjCJava.A.dylib      	0x96d1ad3c JAVAMethodInvokeVoid + 52
16  libObjCJava.A.dylib      	0x96d20f2c _NSInvokeJavaMethod + 1068
17  libObjCJava.A.dylib      	0x96d1d2f8 _BRIDGEMethodImp + 152
18  com.apple.Foundation     	0x928e6018 _nsnote_callback + 180
19  com.apple.CoreFoundation 	0x907844c4 __CFXNotificationPost + 368
20  com.apple.CoreFoundation 	0x9077c5a0 _CFXNotificationPostNotification + 684
21  com.apple.Foundation     	0x928d0420 -[NSNotificationCenter postNotificationName:object:userInfo:] + 92
22  com.apple.AppKit         	0x9368e5b8 -[NSApplication _postDidFinishNotification] + 112
23  com.apple.AppKit         	0x93688a9c -[NSApplication finishLaunching] + 1500
24  com.apple.AppKit         	0x9368818c -[NSApplication run] + 88
25  com.apple.AppKit         	0x93778e68 NSApplicationMain + 452
26  ch.sudo.cyberduck        	0x00007a50 _start + 340 (crt.c:272)
27  ch.sudo.cyberduck        	0x000078f8 start + 60

comment:9 Changed on Feb 16, 2006 at 10:33:42 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

It seems this error is caused when using an old custom built version of the libjdns. Cyberduck 2.5.4 also included a custom version which might be the cause.

comment:10 Changed on May 17, 2006 at 9:34:44 AM by dkocher

  • Milestone 2.5.5 deleted
  • Priority changed from highest to normal
  • Reporter changed from mike@… to mike@…
  • Resolution worksforme deleted
  • Status changed from closed to reopened

My last idea, for now, is you have your users run the following command and see if there's some other copy of either file lurking somewhere on their disks:

  sudo find -x / -type f -iname \*dns_sd\* -ls

Let me know if you find other occurences than

/usr/lib/java/libjdns_sd.jnilib
/System/Library/Java/Extensions/dns_sd.jar

comment:11 Changed on Jun 13, 2006 at 7:47:18 AM by gpf@…

i too am having the same problem, on loading up Cyberduck it crashes, i have tried the following "workaround" and it still crashes

defaults write ch.sudo.cyberduck bonjour.enable false

and the output of the find command is:

pear:~ dcl0sjc$ sudo find -x / -type f -iname \*dns_sd\* -ls
Password:
3149083   16 -rw-rw-r--    1 root     admin        7028 May 22 03:28 /Developer/ADC Reference Library/documentation/Networking/Reference/DNSServiceDiscovery_CRef/dns_sd/dns_sd.html
3097146   88 -rw-r--r--    1 root     wheel       44777 Aug 19  2003 /Developer/SDKs/MacOSX10.3.9.sdk/usr/include/dns_sd.h
3105000  144 -rw-r--r--    1 root     wheel       71940 Dec 20  2004 /Developer/SDKs/MacOSX10.4u.sdk/usr/include/dns_sd.h
337782   32 -rw-r--r--    1 root     admin       15429 May  5  2005 /Library/Java/Extensions/dns_sd.jar
1382480   32 -rw-r--r--    1 root     wheel       15159 Aug 22  2005 /System/Library/Java/Extensions/dns_sd.jar
3012576  144 -rw-r--r--    1 root     wheel       71940 Dec 20  2004 /usr/include/dns_sd.h
3272218   40 -r-xr-xr-x    1 root     wheel       19432 Jun  6 08:25 /usr/lib/java/libjdns_sd.jnilib

crash report:

Date/Time:      2006-06-13 08:43:03.734 +0100
OS Version:     10.4.6 (Build 8I127)
Report Version: 4

Command: Cyberduck
Path:    /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Parent:  WindowServer [1186]

Version: Version 2.6 (2315) (2315)

PID:    1519
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000005

Thread 0 Crashed:
0   libjvm.dylib             	0x9ccfb3e8 JVM_MonitorWait + 7288
1   libjdns_sd.jnilib        	0x974c6600 Java_com_apple_dnssd_AppleBrowser_CreateBrowser + 144
2   <<00000000>> 	0x04d7b264 0 + 81244772
3   <<00000000>> 	0x04d749f0 0 + 81218032
4   <<00000000>> 	0x04d74ab0 0 + 81218224
5   <<00000000>> 	0x04d749c0 0 + 81217984
6   <<00000000>> 	0x04d749c0 0 + 81217984
7   <<00000000>> 	0x04d749c0 0 + 81217984
8   <<00000000>> 	0x04d74ab0 0 + 81218224
9   <<00000000>> 	0x04d72164 0 + 81207652
10  libjvm.dylib             	0x9ccec3c8 jio_snprintf + 382228
11  libjvm.dylib             	0x9ccec214 jio_snprintf + 381792
12  libjvm.dylib             	0x9ccfc8c0 JVM_MonitorWait + 12624
13  libjvm.dylib             	0x9cdba59c JVM_IsInterrupted + 2324
14  libObjCJava.A.dylib      	0x971e8ae4 __JAVAMethodInvoke + 164
15  libObjCJava.A.dylib      	0x971e8d3c JAVAMethodInvokeVoid + 52
16  libObjCJava.A.dylib      	0x971eef2c _NSInvokeJavaMethod + 1068
17  libObjCJava.A.dylib      	0x971eb2f8 _BRIDGEMethodImp + 152
18  com.apple.Foundation     	0x92975ad8 _nsnote_callback + 180
19  com.apple.CoreFoundation 	0x9080b010 __CFXNotificationPost + 368
20  com.apple.CoreFoundation 	0x908030ec _CFXNotificationPostNotification + 684
21  com.apple.Foundation     	0x9295fee0 -[NSNotificationCenter postNotificationName:object:userInfo:] + 92
22  com.apple.AppKit         	0x93722338 -[NSApplication _postDidFinishNotification] + 112
23  com.apple.AppKit         	0x93722224 -[NSApplication _sendFinishLaunchingNotification] + 92
24  com.apple.AppKit         	0x93721d6c -[NSApplication(NSAppleEventHandling) _handleAEOpen:] + 264
25  com.apple.AppKit         	0x93721914 -[NSApplication(NSAppleEventHandling) _handleCoreEvent:withReplyEvent:] + 92
26  com.apple.Foundation     	0x92976ae4 -[NSAppleEventManager dispatchRawAppleEvent:withRawReply:handlerRefCon:] + 380
27  com.apple.Foundation     	0x92976944 _NSAppleEventManagerGenericHandler + 92
28  com.apple.AE             	0x91534960 aeDispatchAppleEvent(AEDesc const*, AEDesc*, unsigned long, unsigned char*) + 208
29  com.apple.AE             	0x915347fc dispatchEventAndSendReply(AEDesc const*, AEDesc*) + 44
30  com.apple.AE             	0x91534654 aeProcessAppleEvent + 284
31  com.apple.HIToolbox      	0x932200e0 AEProcessAppleEvent + 60
32  com.apple.AppKit         	0x9372005c _DPSNextEvent + 856
33  com.apple.AppKit         	0x9371fb48 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 116
34  com.apple.AppKit         	0x9371c08c -[NSApplication run] + 472
35  com.apple.AppKit         	0x9380cbfc NSApplicationMain + 452
36  ch.sudo.cyberduck        	0x00002da8 _start + 340 (crt.c:272)
37  ch.sudo.cyberduck        	0x00002c50 start + 60

Thread 1:
0   libSystem.B.dylib        	0x9000b0a8 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000affc mach_msg + 60
2   libjvm.dylib             	0x9cc889f8 JNI_CreateJavaVM_Impl + 44348
3   libjvm.dylib             	0x9cc88998 JNI_CreateJavaVM_Impl + 44252
4   libjvm.dylib             	0x9cc8888c JNI_CreateJavaVM_Impl + 43984
5   libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 2:
0   libSystem.B.dylib        	0x9000b0a8 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000affc mach_msg + 60
2   libjvm.dylib             	0x9cceb120 jio_snprintf + 377452
3   libjvm.dylib             	0x9cceadb4 jio_snprintf + 376576
4   libjvm.dylib             	0x9cceb374 jio_snprintf + 378048
5   libjvm.dylib             	0x9cceabf4 jio_snprintf + 376128
6   libjvm.dylib             	0x9cc8888c JNI_CreateJavaVM_Impl + 43984
7   libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 3:
0   libSystem.B.dylib        	0x9000b0a8 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000affc mach_msg + 60
2   libjvm.dylib             	0x9cceb008 jio_snprintf + 377172
3   libjvm.dylib             	0x9ccfa2e8 JVM_MonitorWait + 2936
4   libjvm.dylib             	0x9ccf9cac JVM_MonitorWait + 1340
5   libjvm.dylib             	0x9ccf9a20 JVM_MonitorWait + 688
6   <<00000000>> 	0x04d7b264 0 + 81244772
7   <<00000000>> 	0x04d74ab0 0 + 81218224
8   <<00000000>> 	0x04d74ab0 0 + 81218224
9   <<00000000>> 	0x04d72164 0 + 81207652
10  libjvm.dylib             	0x9ccec3c8 jio_snprintf + 382228
11  libjvm.dylib             	0x9ccec214 jio_snprintf + 381792
12  libjvm.dylib             	0x9ccf95c8 JVM_StartThread + 2572
13  libjvm.dylib             	0x9ccf94bc JVM_StartThread + 2304
14  libjvm.dylib             	0x9ccf944c JVM_StartThread + 2192
15  libjvm.dylib             	0x9ccf9314 JVM_StartThread + 1880
16  libjvm.dylib             	0x9cc8888c JNI_CreateJavaVM_Impl + 43984
17  libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 4:
0   libSystem.B.dylib        	0x9000b0a8 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000affc mach_msg + 60
2   libjvm.dylib             	0x9cceb008 jio_snprintf + 377172
3   libjvm.dylib             	0x9ccfa2e8 JVM_MonitorWait + 2936
4   libjvm.dylib             	0x9ccf9cac JVM_MonitorWait + 1340
5   libjvm.dylib             	0x9ccf9a20 JVM_MonitorWait + 688
6   <<00000000>> 	0x04d7b264 0 + 81244772
7   <<00000000>> 	0x04d74ab0 0 + 81218224
8   <<00000000>> 	0x04d749c0 0 + 81217984
9   <<00000000>> 	0x04d749c0 0 + 81217984
10  <<00000000>> 	0x04d72164 0 + 81207652
11  libjvm.dylib             	0x9ccec3c8 jio_snprintf + 382228
12  libjvm.dylib             	0x9ccec214 jio_snprintf + 381792
13  libjvm.dylib             	0x9ccf95c8 JVM_StartThread + 2572
14  libjvm.dylib             	0x9ccf94bc JVM_StartThread + 2304
15  libjvm.dylib             	0x9ccf944c JVM_StartThread + 2192
16  libjvm.dylib             	0x9ccf9314 JVM_StartThread + 1880
17  libjvm.dylib             	0x9cc8888c JNI_CreateJavaVM_Impl + 43984
18  libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 5:
0   libSystem.B.dylib        	0x9002c218 semaphore_wait_trap + 8
1   libjvm.dylib             	0x9cd0eea0 JVM_RegisterSignal + 10160
2   libjvm.dylib             	0x9cd0ebb4 JVM_RegisterSignal + 9412
3   libjvm.dylib             	0x9ccf9314 JVM_StartThread + 1880
4   libjvm.dylib             	0x9cc8888c JNI_CreateJavaVM_Impl + 43984
5   libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 6:
0   libSystem.B.dylib        	0x9000b0a8 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000affc mach_msg + 60
2   libjvm.dylib             	0x9cceb008 jio_snprintf + 377172
3   libjvm.dylib             	0x9cceae50 jio_snprintf + 376732
4   libjvm.dylib             	0x9cd101e4 JVM_RegisterSignal + 15092
5   libjvm.dylib             	0x9cd0ff24 JVM_RegisterSignal + 14388
6   libjvm.dylib             	0x9ccf9314 JVM_StartThread + 1880
7   libjvm.dylib             	0x9cc8888c JNI_CreateJavaVM_Impl + 43984
8   libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 7:
0   libSystem.B.dylib        	0x9000b0a8 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000affc mach_msg + 60
2   libjvm.dylib             	0x9cceb008 jio_snprintf + 377172
3   libjvm.dylib             	0x9cceadb4 jio_snprintf + 376576
4   libjvm.dylib             	0x9cd107fc JVM_RegisterSignal + 16652
5   libjvm.dylib             	0x9ccf9314 JVM_StartThread + 1880
6   libjvm.dylib             	0x9cc8888c JNI_CreateJavaVM_Impl + 43984
7   libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 8:
0   libSystem.B.dylib        	0x9000b0a8 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000affc mach_msg + 60
2   libjvm.dylib             	0x9cceb120 jio_snprintf + 377452
3   libjvm.dylib             	0x9cd22630 JVM_RegisterSignal + 89920
4   libjvm.dylib             	0x9cd222a0 JVM_RegisterSignal + 89008
5   libjvm.dylib             	0x9cc8888c JNI_CreateJavaVM_Impl + 43984
6   libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 9:
0   libSystem.B.dylib        	0x9001f5ec select + 12
1   libObjCJava.A.dylib      	0x971f6344 thread_func + 560
2   libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 10:
0   libSystem.B.dylib        	0x9000b0a8 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000affc mach_msg + 60
2   com.apple.CoreFoundation 	0x907e3b78 __CFRunLoopRun + 832
3   com.apple.CoreFoundation 	0x907e347c CFRunLoopRunSpecific + 268
4   com.apple.Foundation     	0x9299d69c +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 264
5   com.apple.Foundation     	0x92976194 forkThreadForFunction + 108
6   libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 11:
0   libSystem.B.dylib        	0x9001f5ec select + 12
1   com.apple.CoreFoundation 	0x907f640c __CFSocketManager + 472
2   libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 12:
0   libSystem.B.dylib        	0x9000b0a8 mach_msg_trap + 8
1   libSystem.B.dylib        	0x9000affc mach_msg + 60
2   com.apple.CoreFoundation 	0x907e3b78 __CFRunLoopRun + 832
3   com.apple.CoreFoundation 	0x907e347c CFRunLoopRunSpecific + 268
4   com.apple.Foundation     	0x9299e7dc +[NSURLCache _diskCacheSyncLoop:] + 152
5   com.apple.Foundation     	0x92976194 forkThreadForFunction + 108
6   libSystem.B.dylib        	0x9002ba68 _pthread_body + 96

Thread 0 crashed with PPC Thread State 64:
  srr0: 0x000000009ccfb3e8 srr1: 0x000000000200f030                        vrsave: 0x0000000000000000
    cr: 0x22002422          xer: 0x0000000000000004   lr: 0x000000009ccfb320  ctr: 0x000000009ccfb2fc
    r0: 0x0000000000000000   r1: 0x00000000bfffd6c0   r2: 0x00000000974c6034   r3: 0x0000000000000001
    r4: 0x0000000000000000   r5: 0x000000000000deab   r6: 0x0000000000000006   r7: 0x0000000000000005
    r8: 0x0000000000000004   r9: 0x00000000acc8200c  r10: 0x0000000000000000  r11: 0x0000000003000ff4
   r12: 0x00000000acc81b40  r13: 0x0000000000501310  r14: 0x0000000004df68a8  r15: 0x00000000974c6570
   r16: 0x00000000bfffd870  r17: 0x000000002a9eccd8  r18: 0x00000000bfffd8d0  r19: 0x00000000bfffd858
   r20: 0x0000000000000000  r21: 0x0000000000000000  r22: 0x00000000bfffd8c0  r23: 0x00000000bfffd8c4
   r24: 0x00000000bfffd8d0  r25: 0x00000000974c7dac  r26: 0x00000000acc8b320  r27: 0x00000000acc8b320
   r28: 0x0000000000505e7c  r29: 0x0000000000501394  r30: 0x0000000000501310  r31: 0x000000009ccfb320

Binary Images Description:
    0x1000 -     0x9fff ch.sudo.cyberduck Version 2.6 (2315) (2315)	/Applications/Cyberduck.app/Contents/MacOS/Cyberduck
   0x17000 -    0x23fff org.andymatuschak.Sparkle ??? (1.0)	/Applications/Cyberduck.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
 0x16da000 -  0x16dbfff libGrowl.dylib 	/Applications/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib
0x8fe00000 - 0x8fe51fff dyld 44.4	/usr/lib/dyld
0x90000000 - 0x901bbfff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x90213000 - 0x90218fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x9021a000 - 0x9026dfff com.apple.CoreText 1.0.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x9029a000 - 0x9034bfff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9037a000 - 0x90734fff com.apple.CoreGraphics 1.258.30 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x907c1000 - 0x9089afff com.apple.CoreFoundation 6.4.6 (368.27)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x908e3000 - 0x908e3fff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x908e5000 - 0x909e7fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x90a41000 - 0x90ac5fff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90aef000 - 0x90b5dfff com.apple.framework.IOKit 1.4 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90b74000 - 0x90b86fff libauto.dylib 	/usr/lib/libauto.dylib
0x90b8d000 - 0x90e65fff com.apple.CoreServices.CarbonCore 681.3 (671.2)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90ecb000 - 0x90f4bfff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f95000 - 0x90fd6fff com.apple.CFNetwork 129.16	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90feb000 - 0x91003fff com.apple.WebServices 1.1.2 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x91013000 - 0x91094fff com.apple.SearchKit 1.0.5	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x910da000 - 0x91104fff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91115000 - 0x91123fff libz.1.dylib 	/usr/lib/libz.1.dylib
0x91126000 - 0x912e9fff com.apple.security 4.3 (25966)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x913ec000 - 0x913f5fff com.apple.DiskArbitration 2.1	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x913fc000 - 0x91423fff com.apple.SystemConfiguration 1.8.2	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91436000 - 0x91441fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x91446000 - 0x91466fff libmx.A.dylib 	/usr/lib/libmx.A.dylib
0x9146c000 - 0x91474fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x91478000 - 0x914f3fff com.apple.audio.CoreAudio 3.0.3	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x91530000 - 0x91530fff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91532000 - 0x9156afff com.apple.AE 1.5 (297)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x91585000 - 0x91652fff com.apple.ColorSync 4.4.4	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x916a7000 - 0x91738fff com.apple.print.framework.PrintCore 4.5 (177.10)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9177f000 - 0x91836fff com.apple.QD 3.8.20 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91873000 - 0x918d1fff com.apple.HIServices 1.5.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x918ff000 - 0x91923fff com.apple.LangAnalysis 1.6.1	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91937000 - 0x9195cfff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x9196f000 - 0x919b1fff com.apple.LaunchServices 178	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x919cd000 - 0x919e1fff com.apple.speech.synthesis.framework 3.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x919ef000 - 0x91a2efff com.apple.ImageIO.framework 1.4.6	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91a44000 - 0x91b0cfff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91b5a000 - 0x91b6ffff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91b74000 - 0x91b91fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91b96000 - 0x91c05fff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91c1c000 - 0x91c20fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91c22000 - 0x91c69fff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91c6e000 - 0x91cabfff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91cb2000 - 0x91ccbfff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91cd0000 - 0x91cd3fff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91cd5000 - 0x91cd5fff com.apple.Accelerate 1.2.1 (Accelerate 1.2.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91cd7000 - 0x91db7fff com.apple.vImage 2.3	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91dbf000 - 0x91ddefff com.apple.Accelerate.vecLib 3.2.1 (vecLib 3.2.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91e4a000 - 0x91eb8fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91ec3000 - 0x91f57fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91f71000 - 0x924f9fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9252c000 - 0x92857fff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92887000 - 0x9290ffff com.apple.DesktopServices 1.3.3	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x92950000 - 0x92b7bfff com.apple.Foundation 6.4.5 (567.26)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92c99000 - 0x92d77fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x92d97000 - 0x92e85fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92e97000 - 0x92eb5fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92ec0000 - 0x92f1afff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92f38000 - 0x92f38fff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92f3a000 - 0x92f4efff com.apple.ImageCapture 3.0	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92f66000 - 0x92f76fff com.apple.speech.recognition.framework 3.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92f82000 - 0x92f97fff com.apple.securityhi 2.0 (203)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92fa9000 - 0x93030fff com.apple.ink.framework 101.2 (69)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x93044000 - 0x9304ffff com.apple.help 1.0.3 (32)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x93059000 - 0x93086fff com.apple.openscripting 1.2.5 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x930a0000 - 0x930b0fff com.apple.print.framework.Print 5.0 (190.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x930bc000 - 0x93122fff com.apple.htmlrendering 1.1.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x93153000 - 0x931a2fff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x931d0000 - 0x931edfff com.apple.audio.SoundManager 3.9	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x931ff000 - 0x9320cfff com.apple.CommonPanels 1.2.2 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x93215000 - 0x93522fff com.apple.HIToolbox 1.4.6 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x93671000 - 0x9367dfff com.apple.opengl 1.4.7	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x936af000 - 0x936b3fff com.apple.JavaVM 11.4.0	/System/Library/Frameworks/JavaVM.framework/JavaVM
0x93716000 - 0x93716fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93718000 - 0x93d4afff com.apple.AppKit 6.4.6 (824.38)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x940d7000 - 0x94147fff com.apple.CoreData 80	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x94180000 - 0x9424afff com.apple.audio.toolbox.AudioToolbox 1.4.1	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x9429e000 - 0x9429efff com.apple.audio.units.AudioUnit 1.4	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x942a0000 - 0x94454fff com.apple.QuartzCore 1.4.7	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x944a7000 - 0x944e4fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x944ec000 - 0x9453cfff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x946ea000 - 0x946f9fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94701000 - 0x9470dfff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x94753000 - 0x9476bfff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x94772000 - 0x94a26fff com.apple.QuickTime 7.1.1	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94aea000 - 0x94b5bfff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x951f2000 - 0x95208fff com.apple.JavaApplicationLauncher 11.4.0	/System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Versions/A/JavaApplicationLauncher
0x95ad2000 - 0x95b5efff com.apple.WebKit 418	/System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x95bb9000 - 0x95caefff com.apple.JavaScriptCore 417.11	/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x95cea000 - 0x95ff4fff com.apple.WebCore 417.24	/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x9617c000 - 0x961a5fff libxslt.1.dylib 	/usr/lib/libxslt.1.dylib
0x9708e000 - 0x9709bfff com.apple.JavaScriptGlue 417	/System/Library/PrivateFrameworks/JavaScriptGlue.framework/Versions/A/JavaScriptGlue
0x971e1000 - 0x971fefff libObjCJava.A.dylib 	/usr/lib/java/libObjCJava.A.dylib
0x97429000 - 0x97474fff libFoundationJava.B.dylib 	/usr/lib/java/libFoundationJava.B.dylib
0x974c5000 - 0x974c7fff libjdns_sd.jnilib 	/usr/lib/java/libjdns_sd.jnilib
0x9833f000 - 0x9842efff libAppKitJava.B.dylib 	/usr/lib/java/libAppKitJava.B.dylib
0x9cc7d000 - 0x9cfa3fff libjvm.dylib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjvm.dylib
0x9d00c000 - 0x9d028fff libjava.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjava.jnilib
0x9d033000 - 0x9d03afff libverify.dylib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libverify.dylib
0x9d162000 - 0x9d16efff libzip.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libzip.jnilib
0xc0000000 - 0xc0009fff com.growl.growlframework 0.8 (2971M)	/Applications/Cyberduck.app/Contents/Frameworks/Growl.framework/Versions/A/Growl

Model: PowerMac10,1, BootROM 4.8.9f1, 1 processors, PowerPC G4  (1.2), 1.42 GHz, 512 MB
Graphics: ATI Radeon 9200, ATY,RV280, AGP, 32 MB
Memory Module: DIMM0/J11, 512 MB, DDR SDRAM, PC3200U-30330
AirPort: AirPort Extreme, 404.2 (3.90.34.0.p16)
Modem: Jump, , V.92, Version 1.0, 
Bluetooth: Version 1.7.3f4, 2 service, 1 devices, 1 incoming serial ports
Network Service: Built-in Ethernet, Ethernet, en0
Parallel ATA Device: TOSHIBA MK8025GAS, 74.53 GB
Parallel ATA Device: MATSHITADVD-R   UJ-835F, 
USB Device: Hub in Apple Pro Keyboard, Mitsumi Electric, Up to 12 Mb/sec, 500 mA
USB Device: Bluetooth HCI, , Up to 12 Mb/sec, 100 mA
USB Device: Microsoft 3-Button Mouse with IntelliEye(TM), Microsoft, Up to 1.5 Mb/sec, 100 mA
USB Device: Apple Pro Keyboard, Mitsumi Electric, Up to 12 Mb/sec, 250 mA

comment:12 Changed on Jun 13, 2006 at 7:50:46 AM by gpf@…

extra info from java crash log:

Local Time = Tue Jun 13 08:43:03 2006

# This JavaNativeCrash log describes the Java state at a Native Crash in a Java application.
# The corresponding native state can be found in the crash log generated by CrashReporter.

# If this error is reproducible, please report it with the following information: 
#   1. Provide the steps to reproduce, a test case, and any relevant information
#   2. This JavaNativeCrash_pid<num>.crash.log (Java state)
#   3. The corresponding <name>.crash.log (native state; generated by CrashReporter)
# File report at: http://bugreport.apple.com/

# An unexpected Java error has been detected by HotSpot Virtual Machine:
#
# Java VM: Java HotSpot(TM) Client VM (1.5.0_06-64 mixed mode, sharing)
#
#  Bus Error (0xa) at pc=0x9ccfb3e8, pid=1519, tid=25250304

---------------  T H R E A D  ---------------

Current thread (0x00501310):  JavaThread "main" [_thread_in_vm, id=-1610551912]

Stack: [0xbf800000,0xc0000000)
Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j  com.apple.dnssd.AppleBrowser.CreateBrowser(IILjava/lang/String;Ljava/lang/String;)I+0
j  com.apple.dnssd.AppleBrowser.<init>(IILjava/lang/String;Ljava/lang/String;Lcom/apple/dnssd/BrowseListener;)V+17
j  com.apple.dnssd.AppleDNSSD._makeBrowser(IILjava/lang/String;Ljava/lang/String;Lcom/apple/dnssd/BrowseListener;)Lcom/apple/dnssd/DNSSDService;+11
j  com.apple.dnssd.DNSSD.browse(IILjava/lang/String;Ljava/lang/String;Lcom/apple/dnssd/BrowseListener;)Lcom/apple/dnssd/DNSSDService;+9
j  com.apple.dnssd.DNSSD.browse(Ljava/lang/String;Lcom/apple/dnssd/BrowseListener;)Lcom/apple/dnssd/DNSSDService;+6
j  ch.cyberduck.core.Rendezvous.init()V+56
j  ch.cyberduck.ui.cocoa.CDMainController.applicationDidFinishLaunching(Lcom/apple/cocoa/foundation/NSNotification;)V+118
v  ~StubRoutines::call_stub

---------------  P R O C E S S  ---------------

Java Threads: ( => current thread )
  0x00513ee0 JavaThread "Thread-2" [_thread_in_native, id=26060288]
  0x00513a90 JavaThread "Thread-1" [_thread_in_native, id=26057728]
  0x0050ca30 JavaThread "Thread-0" daemon [_thread_in_native, id=25521664]
  0x0050a530 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=25306624]
  0x00509be0 JavaThread "CompilerThread0" daemon [_thread_blocked, id=25305600]
  0x005097e0 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=25270272]
  0x00508f60 JavaThread "Finalizer" daemon [_thread_blocked, id=25269248]
  0x00508b70 JavaThread "Reference Handler" daemon [_thread_blocked, id=25252352]
=>0x00501310 JavaThread "main" [_thread_in_vm, id=-1610551912]

Other Threads:
  0x00508390 VMThread [id=25248768]
  0x0050b080 WatcherThread [id=25307648]

VM state:not at safepoint (normal execution)

VM Mutex/Monitor currently owned by a thread: None

Heap
 def new generation   total 576K, used 20K [0x26580000, 0x26620000, 0x26c80000)
  eden space 512K,   0% used [0x26580000, 0x26580fb8, 0x26600000)
  from space 64K,  25% used [0x26610000, 0x26614210, 0x26620000)
  to   space 64K,   0% used [0x26600000, 0x26600000, 0x26610000)
 tenured generation   total 1408K, used 480K [0x26c80000, 0x26de0000, 0x2a580000)
   the space 1408K,  34% used [0x26c80000, 0x26cf8088, 0x26cf8200, 0x26de0000)
 compacting perm gen  total 8192K, used 4534K [0x2a580000, 0x2ad80000, 0x2e580000)
   the space 8192K,  55% used [0x2a580000, 0x2a9edaf8, 0x2a9edc00, 0x2ad80000)
    ro space 8192K,  63% used [0x2e580000, 0x2ea8da38, 0x2ea8dc00, 0x2ed80000)
    rw space 12288K,  42% used [0x2ed80000, 0x2f2a12c0, 0x2f2a1400, 0x2f980000)

Dynamic libraries and executable:
[0x00002c14-0x00007e08] /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
[0x93716e74-0x93716f44] /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
[0x91127610-0x91253778] /System/Library/Frameworks/Security.framework/Versions/A/Security
[0x907c18cc-0x90871838] /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
[0x92f38e68-0x92f38f38] /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
[0x00018450-0x000206d0] /Applications/Cyberduck.app/Contents/MacOS/../Frameworks/Sparkle.framework/Versions/A/Sparkle
[0x91115954-0x9111fad0] /usr/lib/libz.1.dylib
[0x91446700-0x9145f00c] /usr/lib/libmx.A.dylib
[0x90000f60-0x9019638c] /usr/lib/libSystem.B.dylib
[0x93719430-0x93c56ee8] /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
[0x940d8760-0x941345f0] /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
[0x9295188c-0x92ae9554] /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
[0x91530e4c-0x91530f1c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
[0x93216cdc-0x934ddb08] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
[0x92f66fa0-0x92f72f44] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
[0x94180f28-0x9421620c] /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
[0x9429e5dc-0x9429ef90] /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
[0x92888520-0x928ec610] /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
[0x90af0220-0x90b4b7cc] /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
[0x90b74740-0x90b835b4] /usr/lib/libauto.dylib
[0x942a1dd0-0x943de060] /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
[0x92c99610-0x92d56a58] /usr/lib/libxml2.2.dylib
[0x908e6680-0x909d6508] /usr/lib/libicucore.A.dylib
[0x91533058-0x91563114] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
[0x9029b44c-0x90338154] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
[0x915866f4-0x915e53ac] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
[0x9037b32c-0x906db82c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
[0x9021b4e8-0x90260ae4] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
[0x908e3e74-0x908e3f44] /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
[0x916a89d4-0x91713894] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
[0x91780424-0x91818c28] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
[0x918741b0-0x918c3930] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
[0x91900888-0x9191d56c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
[0x919386d8-0x91956690] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
[0x919700e0-0x919a8f74] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
[0x919ce080-0x919dd1cc] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
[0x919f0950-0x91a244dc] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
[0x913fc6a0-0x9141e158] /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
[0x90a41fa0-0x90a54df8] /usr/lib/libobjc.A.dylib
[0x90213e80-0x902165d8] /usr/lib/system/libmathCommon.A.dylib
[0x90b8e8e0-0x90c6e98c] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
[0x90ecca18-0x90f2ba2c] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
[0x90f95e8c-0x90fd071c] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
[0x90fec030-0x90fffd5c] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
[0x9101411c-0x910770bc] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
[0x910da8a8-0x910fa470] /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
[0x913ecdc8-0x913f4a48] /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
[0x91437314-0x91441254] /usr/lib/libgcc_s.1.dylib
[0x9146c858-0x9147427c] /usr/lib/libbsm.dylib
[0x91a452cc-0x91ae9524] /usr/lib/libcrypto.0.9.7.dylib
[0x91b5abe8-0x91b6c924] /usr/lib/libcups.2.dylib
[0x91b754c8-0x91b8f2d4] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
[0x91b976cc-0x91bf0584] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
[0x91c1c5bc-0x91c20ac8] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
[0x91c2279c-0x91c67840] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
[0x91c6f0dc-0x91c8e870] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
[0x91cb25f4-0x91cc8f98] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
[0x91cd1384-0x91cd3b44] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
[0x91cd5ee0-0x91cd5fb0] /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
[0x91cd8390-0x91db3e08] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
[0x91dc04c4-0x91dc0598] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
[0x91e4ae40-0x91eb20a4] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
[0x91ec3740-0x91f40a08] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
[0x91f723a0-0x924f37b8] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
[0x9252c760-0x928518a8] /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
[0x931d1244-0x931e7fb8] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
[0x91478828-0x914d4800] /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
[0x92d97680-0x92dabaa0] /usr/lib/libiconv.2.dylib
[0x944a7888-0x944dec80] /usr/lib/libsqlite3.0.dylib
[0x93671f2c-0x9367bdc0] /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
[0x944ecc68-0x945109dc] /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
[0x92ec0db8-0x92f0fed4] /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
[0x92e979e4-0x92eb5f4c] /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
[0x92f3b914-0x92f49664] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
[0x92f8315c-0x92f9220c] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
[0x92faa364-0x9301d470] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
[0x93044fc0-0x9304d8e0] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
[0x93059b90-0x9307a4f4] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
[0x930a0c48-0x930ac674] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
[0x930bd91c-0x93111a94] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
[0x9315410c-0x931960a4] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
[0x932003d0-0x93209de8] /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
[0x95ad31d0-0x95b3e900] /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
[0x95bbaaac-0x95c29404] /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
[0x95ceb2e4-0x95f4107c] /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
[0x9617c658-0x9619e2e8] /usr/lib/libxslt.1.dylib
[0x936afc8c-0x936b24bc] /System/Library/Frameworks/JavaVM.framework/JavaVM
[0x951f34dc-0x95203cf4] /System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Versions/A/JavaApplicationLauncher
[0x947733a0-0x949a0c40] /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
[0x94aeb0e0-0x94b3fa08] /usr/lib/libstdc++.6.dylib
[0x9cc7d890-0x9cf5c7cc] /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjvm.dylib
[0x9d033800-0x9d03994c] /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libverify.dylib
[0x9d00d0b4-0x9d0240f8] /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjava.jnilib
[0x9d1631ec-0x9d16d214] /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libzip.jnilib
[0x971e233c-0x971f6984] /usr/lib/java/libObjCJava.A.dylib
[0x9833fbf8-0x98412710] /usr/lib/java/libAppKitJava.B.dylib
[0x9742a240-0x9746980c] /usr/lib/java/libFoundationJava.B.dylib
[0x94701958-0x9470c700] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
[0x946eab4c-0x946f729c] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
[0x94754444-0x94769220] /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
[0x016db240-0x016dbb84] /Applications/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib
[0xc0000c90-0xc00064f4] /Applications/Cyberduck.app/Contents/MacOS/../Frameworks/Growl.framework/Versions/A/Growl
[0x9708f588-0x97099674] /System/Library/PrivateFrameworks/JavaScriptGlue.framework/Versions/A/JavaScriptGlue
[0x974c5dac-0x974c7a24] /usr/lib/java/libjdns_sd.jnilib

VM Arguments:
java_command: <unknown>
Launcher Type: generic

Environment Variables:
PATH=/usr/bin:/bin:/usr/sbin:/sbin
SHELL=/bin/bash

Signal Handlers:
Segmentation Violation (11): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000040
Bus Error (10): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000040
Arithmetic Exception (8): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000002
Unknown Signal (13): SIG_IGN, sa_mask[0]=0x00000000, sa_flags=0x00000002
Illegal Instruction (4): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000040
Unknown Signal (30): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000002
Unknown Signal (31): SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000002
Unknown Signal (1): [libjvm.dylib+0x2866a4], sa_mask[0]=0xfffefeff, sa_flags=0x00000002
Unknown Signal (2): [libjvm.dylib+0x2866a4], sa_mask[0]=0xfffefeff, sa_flags=0x00000002
Unknown Signal (3): [libjvm.dylib+0x2866a4], sa_mask[0]=0xfffefeff, sa_flags=0x00000002
Unknown Signal (15): [libjvm.dylib+0x2866a4], sa_mask[0]=0xfffefeff, sa_flags=0x00000002


---------------  S Y S T E M  ---------------

OS:Mac OS X

CPU:total 1 Processor type = G4+/7450 [Enabled Vector Unit] [64 bit instructions Disabled]

Memory: 4k page, physical 524288k

vm_info: Java HotSpot(TM) Client VM (1.5.0_06-64) for macosx-ppc, built on Mar 18 2006 00:20:55 by root with gcc 3.3 20030304 (build 1809)

comment:13 Changed on Jun 26, 2006 at 7:48:00 AM by gpf@…

Is there any move on this?? its a major blocker!

comment:14 Changed on Aug 12, 2006 at 4:00:22 PM by dkocher

  • Milestone 2.5.1 deleted
  • Resolution set to fixed
  • Status changed from reopened to closed

Occurs if multiple versions of libjdns_sd.jnilib are available in the classpath. Remove any old version of libjdns_sd.jnilib installed by third party in /Library

Reported to bugreport.apple.com

Note: See TracTickets for help on using tickets.
swiss made software